namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "venoshock")]
public class Venoshock : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        if (target.HasStatus(ScriptUtils.ResolveName<Status.Poisoned>()) ||
            target.HasStatus(ScriptUtils.ResolveName<Status.BadlyPoisoned>()))
        {
            damage *= 2;
        }
    }
}